Skip to navigation

Get authorizations for which user is agent user

View as Markdown

Returns the user authorizations for which the user specified by userId is the agent user.

If the calling user is an account administrator, the full results will be returned. Otherwise, only authorizations for which the calling user is the principal user will be returned.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

userIdstringRequired
The user who is acting as the agent.

Query parameters

active_onlystringOptional

When true, only active users are returned. The default value is false.

countstringOptional
The maximum number of results to return.
email_substringstringOptional
Filters returned user records by full email address or a substring of email address.
include_closed_usersstringOptional

When true, returns active and scheduled authorizations of closed users. The default value is true. This value is only applied when active_only is false.

permissionsstringOptional
start_positionstringOptional

The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image.

task_sourcestringOptional
task_typestringOptional
user_name_substringstringOptional

Filters results based on a full or partial user name.

Note: When you enter a partial user name, you do not use a wildcard character.

Response

Successful response.
authorizationslist of objectsOptional
endPositionstringOptional
The last index position in the result set.
nextUristringOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

previousUristringOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

resultSetSizestringOptional

The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.

startPositionstringOptional
The starting index position of the current result set.
totalSetSizestringOptional

The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

Errors

400
Bad Request Error